Sandbox

A dedicated sandbox environment facilitates seamless integration and testing.

Environment

The sandbox environment allows you to simulate real-world scenarios and validate your API interactions without affecting live transactions.

For instructions on setting up the relevant accounts to access the sandbox.

Open Sandbox

Requires Credentials: API URL https://preprod-dvs-api.dtone.com/v1/.

Generate API Key

Go to section Pre-Production API Keys of DT Shop

Simulating Transaction Responses

All transactions in the sandbox are simulated. Modify the last three digits of the credit_party_identifier (mobile_number or account_number) to simulate different responses, as shown in the table below:

SuffixTransaction StatusExample
100, 200, 300COMPLETED (PIN-less)+6595123100
101, 201, 301COMPLETED (PIN-based)+6595123201
102, 202, 302DECLINED-INVALID-CREDIT-PARTY+6595123102
103, 203, 303DECLINED-BARRED-CREDIT-PARTY+6595123103
104, 204, 304DECLINED-OPERATOR-CURRENTLY-UNAVAILABLE+6595123204
105, 205, 305DECLINED-DUPLICATED-TRANSACTION+6595123105
106, 206, 306DECLINED+6595123206
107, 207, 307DECLINED-EXCEPTION+6595123107

Simulate Processing Delays

Use different suffixes to simulate processing delays:

  • 10X: At least 3 seconds.
  • 20X: At least 20 seconds.
  • 30X: At least 5 minutes.

Simulating eSIM Transactions

In order to test eSIM endpoints, you must first generate a dummy eSIM transaction. Once generated, use the returned ICCID for subsequent requests.

When posting a top-up transaction, you must indicate the product_id and provide the ICCID in the credit_party_identifier.account_number field.

1. Retrieve eSIM (ICCID) Remaining Data

To check the remaining data on an eSIM, send a POST request to the /v1/lookup/credit-party-benefits endpoint using the ICCID.

Example Request:

POST /v1/lookup/credit-party-benefits HTTP/1.1
Content-Type: application/json
Authorization: Basic XXXXX
User-Agent: PostmanRuntime/7.54.0
Accept: */*
Host: preprod-dvs-api.dtone.com

{
  "service_id": 13,
  "credit_party_identifier": {
    "account_number": "0516648605342760106"
  }
}

Example Response:

HTTP/1.1 200 OK
Date: Fri, 12 Jun 2026 16:11:57 GMT
Content-Type: application/json;charset=UTF-8
Content-Length: 185
Cache-Control: no-cache, no-store, must-revalidate
expires: 0
Pragma: no-cache
Server: Digital Value Services API

[
  {
    "amount": 20,
    "country": {
      "iso_code": "USA",
      "name": "United States",
      "regions": [
        {
          "code": "USA",
          "name": "United States"
        }
      ]
    },
    "expiration_date": null,
    "type": "DATA",
    "unit": "GB",
    "unit_type": "DATA"
  }
]

2. Retrieve eSIM (ICCID) Status

You can also determine when the eSIM was installed on the user's device and when it was activated.

(Provide the relevant endpoint and payload example here for checking the installation/activation status, following the same request/response format as above).

Note about Products without Credit Party Identifiers

Products without a credit_party_identifier (e.g., Gift Cards) always result in a COMPLETED status in the sandbox.